Redmine - Patch #35375

German translation of wiki syntax help file
2021-06-08 18:37 - Felix Schafer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Documentation Estimated time: 0.00 hour
Target version: 422

Description

Related issues:
Related to Redmine - Patch #35613: German translation update of Wiki syntax h... Closed

Associated revisions

Revision 21076 - 2021-07-22 03:12 - Go MAEDA
Wiki syntax help: German translation for "The issue subject" (#35375).

Patch by Felix Schéfer.

Revision 21077 - 2021-07-22 03:13 - Go MAEDA
Merged r21076 from trunk to 4.2-stable (#35375).

History

#1 - 2021-06-08 18:37 - Felix Schafer
- File 35375.patch added

#2 - 2021-06-09 09:27 - Go MAEDA

- Target version set to 4.2.2

#3 - 2021-06-10 10:19-C S

Translation correct, but files not at 100% Translation!

#4 - 2021-07-13 12:30-C S

Is the syntax help file longer needed? | found no link from frontside to this files...

#5 - 2021-07-22 03:13 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#6 - 2021-07-27 10:28 - Mischa The Evil
C S wrote:

Is the syntax help file longer needed? | found no link from frontside to this files...

FWIW and just to answer this specific question: Yes, it is (still) needed/used for the shipped help that can be accessed via the toolbar button. See the
following references:

e source:/trunk/lib/redmine/wiki_formatting/markdown/helper.rb#l 24
source:/trunk/lib/redmine/wiki_formatting/textile/helper.rb#L 24
source:/trunk/public/javascripts/jstoolbar/jstoolbar.js#l 227
source:/trunk/public/javascripts/jstoolbar/markdown.js#L. 240
source:/trunk/public/javascripts/jstoolbar/textile.js#L 239
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/wiki_formatting/markdown/helper.rb#L24
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/wiki_formatting/textile/helper.rb#L24
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/javascripts/jstoolbar/jstoolbar.js#L227
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/javascripts/jstoolbar/markdown.js#L240
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/javascripts/jstoolbar/textile.js#L239

#7 - 2021-07-27 15:41-C S
- File wiki_syntax_markdown.html added

- File wiki_syntax_textile.html added

Ok, if it is still in use, it should be to 100% German ;)
Both files, completely translated

#8 - 2021-07-27 20:46 - Mischa The Evil
- Related to Patch #35613: German translation update of Wiki syntax help for 5.0-stable added

Files

35375.patch 2.07 KB 2021-06-08 Felix Schafer
wiki_syntax_textile.html 5.75 KB 2021-07-27 CS
wiki_syntax_markdown.html 5.42 KB 2021-07-27 CS
